# 创建接车订单回调

## 业务场景

1. 工作人员通过AutoX3技师APP（Intelligent Technician）接车，并填写必要信息。
2. 车辆信息、接车单信息同步到接入方系统中。

![](/files/-MgJ4W1hMNKyKLESA3Qu)

## 主流程&#x20;

![](/files/-MgJ4ZOw_Nzgmk0Aw-Sz)

## 接口信息

消息类型&#x20;

> event.autox3.order.receivebase.create

消息内容

```
{
  "content": {
      "carInfo": {                            // 车辆信息
        "carBrandName": "BMW",                // 品牌
        "carNum": "JING",                     // 车牌号
        "carOwnerFirstName": "xiaohaha",      // 车主名
        "carOwnerGender": "FEMALE",           // 车主性别
        "carOwnerLastName": "Brown",          // 车主姓
        "carOwnerMobile": "",                 // 车主手机号
        "carProductionDate": 1325347200000,   // 车辆出厂日期
        "carStyleName": "5",                  // 车款信息
        "carVin": "123456"                    // 车辆vin
        },
      "preCheckInfo": {                       // 初检信息
        "lightInfo": [                        // 故障灯信息staffInfo
          "20_发动机故障",
          "16_机油不足",
          "1_门窗未关闭",
          "15_水温异常",
          "19_安全气囊故障"
        ],
        "odograph": 67000.0,                    // 进厂里程
        "oilGauge": 100,                        // 进厂油量
        "paintsInfo": [                         // 外观情况
          {
            "describe": "凹陷",                  // 状态情况
            "images": [                         // 图片
              "${url}"
            ],
            "position": "sys_feature_0013_01",  // 位置名称
            "positionName": "右前叶子板"          // 位置
          }
        ],
        "personalItemList": [                   // 物品清单
          "面包",
          "饮用水",
          "海百合"
        ],
        "remark": "老客户了"                // 备注
      },
      "receiveBaseId": 6482,               // AutoX3接车单id
      "staffInfo": {                       // 接车单操作人信息
        "areaCode": "+44",                 // 品牌id
        "brandId": 1,                      // brandId
        "mobile": "15010524574",           // 手机号
        "storeId": 3,                      // 店铺id-
        "userId": 18,                      // 用户id-
        "userName": "yang xing xingxing2"  // 用户名称
      }
    }
  },
  "createTime": 1616502610117,                        // 推送时间戳 
  "msgType": "event.autox3.order.detection.finish",   // 推送消息类型
  "msgSignature": "${hashCode}",                      // 推送消息签名
  "msgId": "e6ddea1d-0b8b-24e7-cb26-91c3aa0969db",    // 推送消息id
  "staffInfo": {                       // 员工信息
    "areaCode": "+44",                 // 所属国家区号
    "brandId": 114,                    // 品牌id
    "mobile": "17666166190",           // 手机号
    "staffId": 380,                    // 员工id
    "staffName": "A梦 哆啦",            // 员工名称
    "storeId": 84                      // 店铺id
  }
}        
```

开发者正常响应数据

```
{
	"data":null,
	"errorInfo":"",    // 错误信息
	"status":0		     // 0表示正常接收
}
```

请注意：

1. 关于重试的消息排重，推荐使用msgId排重。
2. AutoX3服务器未收到正常响应时，会发起重试，总共重试六次，间隔时间为2s、4s、8s、16s、32s、64s。
3. 签名规则 sha1(msgId + msgType + staffInfo + createTime + content + appSecret)。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.autox3.com/standard-apis/create-a-collection-order-callback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
